---
id: device-info
title: device-info
hide_title: true
hide_table_of_contents: true
sidebar_label: device-info
description: Lookup device info
---
## ipsw device-info

Lookup device info

```
ipsw device-info [flags]
```

### Options

```
  -i, --bdid string       BDID to lookup info for
  -b, --board string      Board to lookup info for
      --cpid string       CPID to lookup info for
  -c, --cpu string        CPID to lookup info for
  -h, --help              help for device-info
  -j, --json              Output as JSON
  -m, --model string      Model to lookup info for (e.g., 'M1,1')
  -n, --name string       Name of device to lookup info for (e.g., 'iPhone 14 Pro')
  -p, --platform string   Platform to lookup info for
  -d, --prod string       Device to lookup info for (e.g., 'iPhone15,2')
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw](/docs/cli/ipsw)	 - Download and Parse IPSWs (and SO much more)

